Bug 73678 - Screen corruption when running full-screen VMware under DRI-enabled XFree86
Summary: Screen corruption when running full-screen VMware under DRI-enabled XFree86
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: null
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-08 18:49 UTC by Didier
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-10 03:15:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DRI patch against ati_dga and radeon_dga (1.61 KB, patch)
2002-09-08 18:52 UTC, Didier
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:067 high SHIPPED_LIVE : Updated XFree86 packages provide security and bug fixes 2003-06-25 04:00:00 UTC

Description Didier 2002-09-08 18:49:08 UTC
Description of Problem:

On an ATI R128/Radeon i386 platform, when running the VMware emulator
(http://www.vmware.com) in full-screen mode within a DRI-enabled XFree86
session, screen corruption occurs in the vicinity of the mouse pointer.
As this is due to a bug in the XFree86 DRI code, other applications may be
affected too.


Version-Release number of selected component (if applicable):

XFree86 4.2.x, all versions.


How Reproducible:

Always.


Steps to Reproduce:
1. Enable DRI, start Xfree86 
2. Start VMware session, run in full-screen
3. Drag Windows windows with mouse, scroll windows, etc.


Actual Results:

The screen gets cluttered.


Expected Results:

No screen corruption.


Additional Information:
	
As VMware is a well-known and widely used application, and the ATI chipsets are
quite commoditized, I would expect this problem to have a wide impact.

Fortunately, as of today, Mr. Michel Daenzer posted a patch which finally fixes
this problem (tested on an IBM ThinkPad A30p, ATI Radeon Mobility M6).

http://www.geocrawler.com/lists/3/SourceForge/680/0/9539606/

Patch against XFree86 4.2 attached (courtesy of Mr. Daenzer).

Comment 1 Didier 2002-09-08 18:52:44 UTC
Created attachment 75504 [details]
DRI patch against  ati_dga and radeon_dga

Comment 2 Mike A. Harris 2002-09-10 03:15:51 UTC
Thanks, I'll chat with Michel about the patch, and add it to future builds
if it is safe/sane.  That probably means yes.  ;o)



Comment 3 Mike A. Harris 2002-09-10 08:41:16 UTC
Ok, I finally caught Michel in IRC, and have applied the patch
to my latest private build.  It will appear in a future rawhide
XFree86 version at some point when I merge my private build
to rawhide.

Thanks very much for the bug report, and for attaching the patch.

Comment 4 Mike A. Harris 2003-07-01 23:21:01 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-067.html



Note You need to log in before you can comment on or make changes to this bug.